ServerEvents.recipes(event => {
  let metalMinecraftItem = [
    "helmet",
    "chestplate",
    "leggings",
    "boots",
    "sword",
    "axe",
    "pickaxe",
    "shovel",
    "hoe",
  ];

  let metalJaamsItem = [
    "battle_axe",
    "broadsword",
    "buster_sword",
    "butterfly_sword",
    "claw",
    "cleaver",
    "dagger",
    "dagger_reverse",
    "greathammer",
    "greatsword",
    "hammer",
    "hook_sword",
    "kama",
    "katana",
    "katar",
    "knuckle",
    "longsword",
    "machete",
    "ring",
    "saw_cleaver",
    "saw_cleaver_unfolded",
    "scythe",
    "sickle",
    "spear",
    "twinblade",
    "zweihander"
  ];

  let metalShieldItem = [
    "shield"
  ];

  let metalBowItem = [
    "bow"
  ];

  let metalArrowItem = [
    "arrow"
  ];



// Stone -> Iron recipes

metalMinecraftItem.forEach(type => {
  event.shapeless(
    Item.of(`minecraft:iron_${type}`, 1),
    [
      `minecraft:stone_${type}`,
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
    ]
  );
})

metalJaamsItem.forEach(type => {
  event.shapeless(
    Item.of(`jaams_weaponry:iron_${type}`, 1),
    [
      `jaams_weaponry:stone_${type}`,
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
    ]
  );
})

metalShieldItem.forEach(type => {
  event.shapeless(
    Item.of(`shieldexp:iron_${type}`, 1),
    [
      `shieldexp:stone_${type}`,
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
    ]
  );
})

metalBowItem.forEach(type => {
  event.shapeless(
    Item.of(`archeryexp:iron_${type}`, 1),
    [
      `archeryexp:stone_${type}`,
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
      'minecraft:iron_ingot',
    ]
  );
})

metalArrowItem.forEach(type => {
  event.shapeless(
    Item.of(`archeryexp:iron_${type}`, 1),
    [
      `archeryexp:stone_${type}`,
      'minecraft:iron_ingot',
    ]
  );
})




// Iron -> Diamond recipes

metalMinecraftItem.forEach(type => {
  event.shapeless(
    Item.of(`minecraft:diamond_${type}`, 1),
    [
      `minecraft:iron_${type}`,
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond',
    ]
  );
})

metalJaamsItem.forEach(type => {
  event.shapeless(
    Item.of(`jaams_weaponry:diamond_${type}`, 1),
    [
      `jaams_weaponry:iron_${type}`,
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond',
    ]
  );
})

metalShieldItem.forEach(type => {
  event.shapeless(
    Item.of(`shieldexp:diamond_${type}`, 1),
    [
      `shieldexp:iron_${type}`,
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond',
    ]
  );
})

metalBowItem.forEach(type => {
  event.shapeless(
    Item.of(`archeryexp:diamond_${type}`, 1),
    [
      `archeryexp:iron_${type}`,
      'minecraft:diamond',
      'minecraft:diamond',
      'minecraft:diamond',
    ]
  );
})

metalArrowItem.forEach(type => {
  event.shapeless(
    Item.of(`archeryexp:diamond_${type}`, 1),
    [
      `archeryexp:iron_${type}`,
      'minecraft:diamond',
    ]
  );
})




// Diamond -> Netherite recipes

metalMinecraftItem.forEach(type => {
  event.shapeless(
    Item.of(`minecraft:netherite_${type}`, 1),
    [
      `minecraft:diamond_${type}`,
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
    ]
  );
})

metalJaamsItem.forEach(type => {
  event.shapeless(
    Item.of(`jaams_weaponry:netherite_${type}`, 1),
    [
      `jaams_weaponry:diamond_${type}`,
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
    ]
  );
})

metalShieldItem.forEach(type => {
  event.shapeless(
    Item.of(`shieldexp:netherite_${type}`, 1),
    [
      `shieldexp:diamond_${type}`,
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
    ]
  );
})

metalBowItem.forEach(type => {
  event.shapeless(
    Item.of(`archeryexp:netherite_${type}`, 1),
    [
      `archeryexp:diamond_${type}`,
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
      'minecraft:netherite_scrap',
    ]
  );
})

metalArrowItem.forEach(type => {
  event.shapeless(
    Item.of(`archeryexp:netherite_${type}`, 1),
    [
      `archeryexp:diamond_${type}`,
      'minecraft:netherite_scrap',
    ]
  );
})

});